Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005676 [DCSS] Patches minor have not tried 2012-05-18 01:18 2014-10-15 03:31
Reporter Eronarn View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0005676: Allow 'spells' to be classified by source
Description There have been many, many problems over the years with where monster spells come from. I've implemented a monster spell class and a source enum so that we can get to work fixing it.

Here are some use cases where we might benefit by converting monster spell information to a class:

* A monster can be able to both cast spells and use divine abilities and have this treated properly
* Monsters having 'fake' spells that match 'real' ones, resulting in lots of special casing
* Monsters getting silence immunity when they shouldn't
* Monsters changing religion yet still using god-specific abilities,

Here is the branch in question on Github:

https://github.com/Eronarn/Crawling-Chaos/compare/monabilities [^]

(note that the last commit is NOT functional! I don't really know C++ well, so I'm stuck.)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0027498)
wheals (administrator)
2014-10-15 03:31

There's currently a branch in git, mon-spell-slots, that more or less does this. Grunt ended up writing it from scratch rather than using this, but I'm fairly sure the fact that this ticket existed was what part of what motivated him to start it! It hasn't been merged yet, but no sense in keeping this open.

- Issue History
Date Modified Username Field Change
2012-05-18 01:18 Eronarn New Issue
2013-05-26 05:52 mumra Issue Monitored: mumra
2014-10-15 03:31 wheals Note Added: 0027498
2014-10-15 03:31 wheals Status new => resolved
2014-10-15 03:31 wheals Fixed in Branch => 0.16 development branch
2014-10-15 03:31 wheals Resolution open => done
2014-10-15 03:31 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker